using Pos.Api.Database;
using Pos.Api.Database.Data;
using Pos.Api.Helper;
using LoadConfig = Pos.Api.Helper.LoadConfig;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
LoadConfig loadConfig = new LoadConfig();
IConfiguration config = loadConfig.ByEnvironment();
builder.Services.AddSingleton(config);
builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen(c =>
    c.OperationFilter<ApiKeyHeaderOperationFilter>()
    );
builder.Services.AddDbContext<PosApiContext>();
var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

app.UseAuthorization();

app.MapControllers();

app.Run();
